Subject: FW: BSM fragmentations

From: Desikan Saravanan <[email-masked]>
Date: Fri, 25 Feb 2000 13:11:37 -0800

> Folks,
> 
> consider  a situation where the bootstrap message needs to be fragmented
> into two or more packets.
> I see there is no indication in the bootstrap message format that this is
> the last fragment.
> and I dont see any message length field that could be of use to figure out
> the end of the packet.
> 
> Then how would I know that I have got all of the RP set? 
> Only when I know that I have a valid RP set, I can go and check the
> validity of existing RP set
> (as per last paragraph of section 3.6.3: Receiving and Forwarding
> Bootstrap)
> 
> I can wait till the next bootstrap message arrives with a different
> fragment_tag (will result in poor converging)
> or I can start a timer for X seconds and at the timeout I can consider I
> have all the RP set.
> 
> Does the spec say anything about this issue or Am I missing something
> here?
> Please clarify.
> 
> Thanks & Best regards
> Des
>

---

From: Dave Thaler <[email-masked]>
Date: Fri, 25 Feb 2000 15:21:29 -0800 (PST)

> > Then how would I know that I have got all of the RP set? 

If I remember correctly, you can operate on each group-prefix
independently.  For each group-prefix, you know when you get
the RP-Set for that group-prefix by looking at the
RP-Count-n and Frag RP-Cnt-n fields.

> > (as per last paragraph of section 3.6.3: Receiving and Forwarding

The paragraph in 3.6.3 can be applied one group-prefix at a time.
This was seen to be an advantage in that you can immediately
update some group-prefixes even if you haven't gotten other ones,
with no ill effects.

-Dave